Summary: Library for editing typed command lines
Name: readline
Version: 6.3
Release: r0.0
License: GPLv3+
Group: libs
Packager: Wind River <info@windriver.com>
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: ncurses
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: texinfo-native
BuildRequires: automake-native

%description
The GNU Readline library provides a set of functions for use by
applications that allow users to edit command lines as they are typed in.
Both Emacs and vi editing modes are available. The Readline library
includes  additional functions to maintain a list of previously-entered
command lines, to recall and perhaps reedit those   lines, and perform csh-
like history expansion on previous commands.

%package -n libreadline-dbg
Summary: Library for editing typed command lines - Debugging files
Group: devel
Suggests: libc6-dbg
Suggests: ncurses-libtinfo-dbg
Recommends: libreadline6 = 6.3-r0.0
Provides: readline-dbg

%description -n libreadline-dbg
The GNU Readline library provides a set of functions for use by
applications that allow users to edit command lines as they are typed in.
Both Emacs and vi editing modes are available. The Readline library
includes  additional functions to maintain a list of previously-entered
command lines, to recall and perhaps reedit those   lines, and perform csh-
like history expansion on previous commands.  This package contains ELF
symbols and related sources for debugging purposes.

%package -n libreadline-staticdev
Summary: Library for editing typed command lines - Development files (Static Libraries)
Group: devel
Requires: libreadline-dev = 6.3-r0.0
Provides: readline-staticdev

%description -n libreadline-staticdev
The GNU Readline library provides a set of functions for use by
applications that allow users to edit command lines as they are typed in.
Both Emacs and vi editing modes are available. The Readline library
includes  additional functions to maintain a list of previously-entered
command lines, to recall and perhaps reedit those   lines, and perform csh-
like history expansion on previous commands.  This package contains static
libraries for software development.

%package -n libreadline-dev
Summary: Library for editing typed command lines - Development files
Group: devel
Requires: libreadline6 = 6.3-r0.0
Suggests: libc6-dev
Suggests: ncurses-libtinfo-dev
Suggests: ncurses-dev
Provides: readline-dev

%description -n libreadline-dev
The GNU Readline library provides a set of functions for use by
applications that allow users to edit command lines as they are typed in.
Both Emacs and vi editing modes are available. The Readline library
includes  additional functions to maintain a list of previously-entered
command lines, to recall and perhaps reedit those   lines, and perform csh-
like history expansion on previous commands.  This package contains
symbolic links, header files, and related items necessary for software
development.

%package -n libreadline-doc
Summary: Library for editing typed command lines - Documentation files
Group: doc
Provides: readline-doc

%description -n libreadline-doc
The GNU Readline library provides a set of functions for use by
applications that allow users to edit command lines as they are typed in.
Both Emacs and vi editing modes are available. The Readline library
includes  additional functions to maintain a list of previously-entered
command lines, to recall and perhaps reedit those   lines, and perform csh-
like history expansion on previous commands.  This package contains
documentation.

%package -n libreadline-locale
Summary: Library for editing typed command lines
Group: libs
Provides: readline-locale

%description -n libreadline-locale
The GNU Readline library provides a set of functions for use by
applications that allow users to edit command lines as they are typed in.
Both Emacs and vi editing modes are available. The Readline library
includes  additional functions to maintain a list of previously-entered
command lines, to recall and perhaps reedit those   lines, and perform csh-
like history expansion on previous commands.

%package -n libreadline6
Summary: Library for editing typed command lines
Group: libs
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libtinfo5 >= 5.9
Requires: libtinfo.so.5()(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libtinfo5 >= 5.9
Requires(post): libtinfo.so.5()(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc6 >= 2.20+sdkwrl7+27
Provides: libhistory.so.6()(64bit)
Provides: libreadline.so.6()(64bit)
Provides: readline
Provides: elf(buildid) = 32202fd05b57bd779177fc95c908b39729001e0c
Provides: elf(buildid) = e2127a19521738caaa4540f7d6ac2aacbbd18f86

%description -n libreadline6
The GNU Readline library provides a set of functions for use by
applications that allow users to edit command lines as they are typed in.
Both Emacs and vi editing modes are available. The Readline library
includes  additional functions to maintain a list of previously-entered
command lines, to recall and perhaps reedit those   lines, and perform csh-
like history expansion on previous commands.

%post -n libreadline6
# libreadline6 - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files -n libreadline-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/src"
%dir "/usr/lib64"
%dir "/usr/src/debug"
%dir "/usr/src/debug/readline"
%dir "/usr/src/debug/readline/6.3-r0"
%dir "/usr/src/debug/readline/6.3-r0/readline-6.3"
"/usr/src/debug/readline/6.3-r0/readline-6.3/histlib.h"
"/usr/src/debug/readline/6.3-r0/readline-6.3/history.h"
"/usr/src/debug/readline/6.3-r0/readline-6.3/emacs_keymap.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/tilde.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/complete.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/rlshell.h"
"/usr/src/debug/readline/6.3-r0/readline-6.3/text.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/history.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/xmalloc.h"
"/usr/src/debug/readline/6.3-r0/readline-6.3/xmalloc.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/keymaps.h"
"/usr/src/debug/readline/6.3-r0/readline-6.3/macro.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/input.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/histfile.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/xfree.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/colors.h"
"/usr/src/debug/readline/6.3-r0/readline-6.3/mbutil.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/tilde.h"
"/usr/src/debug/readline/6.3-r0/readline-6.3/search.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/signals.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/parse-colors.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/vi_mode.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/util.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/misc.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/rltypedefs.h"
"/usr/src/debug/readline/6.3-r0/readline-6.3/shell.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/keymaps.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/readline.h"
"/usr/src/debug/readline/6.3-r0/readline-6.3/rlprivate.h"
"/usr/src/debug/readline/6.3-r0/readline-6.3/histexpand.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/histsearch.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/funmap.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/rltty.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/colors.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/undo.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/vi_keymap.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/parens.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/parse-colors.h"
"/usr/src/debug/readline/6.3-r0/readline-6.3/nls.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/display.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/bind.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/rlmbutil.h"
"/usr/src/debug/readline/6.3-r0/readline-6.3/isearch.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/compat.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/readline.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/kill.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/callback.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/terminal.c"
"/usr/src/debug/readline/6.3-r0/readline-6.3/rltty.h"
%dir "/usr/lib64/.debug"
"/usr/lib64/.debug/libhistory.so.6.3"
"/usr/lib64/.debug/libreadline.so.6.3"

%files -n libreadline-staticdev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
"/usr/lib64/libreadline.a"
"/usr/lib64/libhistory.a"

%files -n libreadline-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/include"
%dir "/usr/lib64"
%dir "/usr/include/readline"
"/usr/include/readline/rlstdc.h"
"/usr/include/readline/history.h"
"/usr/include/readline/keymaps.h"
"/usr/include/readline/tilde.h"
"/usr/include/readline/rltypedefs.h"
"/usr/include/readline/readline.h"
"/usr/include/readline/rlconf.h"
"/usr/include/readline/chardefs.h"
"/usr/lib64/libreadline.so"
"/usr/lib64/libhistory.so"

%files -n libreadline-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/info"
%dir "/usr/share/doc"
%dir "/usr/share/man/man3"
"/usr/share/man/man3/history.3"
"/usr/share/man/man3/readline.3"
"/usr/share/info/history.info"
"/usr/share/info/rluserman.info"
"/usr/share/info/readline.info"
%dir "/usr/share/doc/readline"
"/usr/share/doc/readline/CHANGES"
"/usr/share/doc/readline/README"
"/usr/share/doc/readline/INSTALL"

%files -n libreadline6
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/lib64"
%dir "/usr/share/readline"
"/usr/share/readline/rl-fgets.c"
"/usr/share/readline/fileman.c"
"/usr/share/readline/hist_purgecmd.c"
"/usr/share/readline/rlcat.c"
"/usr/share/readline/rlptytest.c"
"/usr/share/readline/rl-callbacktest.c"
"/usr/share/readline/rlversion.c"
"/usr/share/readline/rlevent.c"
"/usr/share/readline/hist_erasedups.c"
"/usr/share/readline/manexamp.c"
"/usr/share/readline/rl.c"
"/usr/share/readline/histexamp.c"
"/usr/share/readline/rltest.c"
"/usr/share/readline/excallback.c"
"/usr/lib64/libhistory.so.6"
"/usr/lib64/libreadline.so.6"
"/usr/lib64/libhistory.so.6.3"
"/usr/lib64/libreadline.so.6.3"

